Bug 440175 - xorg-x11-server -15 fails entirely
xorg-x11-server -15 fails entirely
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: K12LTSP
  Show dependency treegraph
 
Reported: 2008-04-01 22:23 EDT by Warren Togami
Modified: 2008-04-05 18:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 18:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Full Xorg log (25.37 KB, text/plain)
2008-04-01 22:23 EDT, Warren Togami
no flags Details
Xorg.0.log for ATI Radeon X800 (47.35 KB, text/plain)
2008-04-02 09:13 EDT, Joachim Frieben
no flags Details
Xorg.0.log x86_64 r5xx radeon (67.91 KB, text/plain)
2008-04-02 13:44 EDT, Bruno Wolff III
no flags Details

  None (edit)
Description Warren Togami 2008-04-01 22:23:36 EDT
xorg-x11-server-1.4.99.901-15.20080401.fc9
kvm-63-2.fc8

(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.4.99.901, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.0

Backtrace:
0: X(xf86SigHandler+0x79) [0x80bc2f9]
1: [0x130400]
2: /usr/lib/xorg/modules/extensions//libglx.so [0x67705c]
3: /usr/lib/xorg/modules/extensions//libglx.so [0x6715da]
4: /usr/lib/xorg/modules/extensions//libglx.so(GlxExtensionInit+0x162) [0x676932]
5: X(InitExtensions+0x8a) [0x80e545a]
6: X(main+0x2ad) [0x806b1bd]
7: /lib/libc.so.6(__libc_start_main+0xe6) [0x41c5d6]
8: X(FontFileCompleteXLFD+0x221) [0x806a771]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Warren Togami 2008-04-01 22:23:36 EDT
Created attachment 300005 [details]
Full Xorg log
Comment 2 Denis Leroy 2008-04-02 06:36:44 EDT
Same with VMWare.
Comment 3 Joachim Frieben 2008-04-02 09:13:56 EDT
Created attachment 300061 [details]
Xorg.0.log for ATI Radeon X800

Also crashes for ATI Radeon X800 on my x86_64 box.
Comment 4 Warren Togami 2008-04-02 13:27:00 EDT
Preliminary test of -16 indicates that it has been fixed for kvm.
Comment 5 Orion Poplawski 2008-04-02 13:41:37 EDT
*** Bug 440263 has been marked as a duplicate of this bug. ***
Comment 6 Bruno Wolff III 2008-04-02 13:44:48 EDT
Created attachment 300103 [details]
Xorg.0.log x86_64 r5xx radeon

I just tried out 1.4.99.901-16.20080401 from Koji on an x86_64 system and it is
still crashing. Attached is Xorg.0.log output.
Comment 7 Orion Poplawski 2008-04-02 14:03:55 EDT
xorg-x11-server-Xorg-1.4.99.901-16.20080401.fc9.i386 works for me with nVidia
Corporation NV34M [GeForce FX Go5200 64M].
Comment 8 Bruno Wolff III 2008-04-02 14:25:38 EDT
I did another test with an x86 box with an NV5M64 [RIVA TNT2 Model 64/Model 64
Pro] (rev 15) video card and confirmed that -15 failed and -16 worked.
I tried reverting the ati driver on the other box (x86_64 r5xx radeon) and that
one is still failing.
Comment 9 Bruno Wolff III 2008-04-02 15:12:47 EDT
I did some more testing with the x86_64 machine. I reverted to
1.4.99.901-14.20080314.fc9.x86_64.rpm and things worked. I went back to
1.4.99.901-16.20080401.fc9.x86_64.rpm and things were broken again.
I was using the latest (-9) ati driver for both of those tests.
Comment 10 Adam Jackson 2008-04-02 15:17:39 EDT
(In reply to comment #9)
> I did some more testing with the x86_64 machine. I reverted to
> 1.4.99.901-14.20080314.fc9.x86_64.rpm and things worked. I went back to
> 1.4.99.901-16.20080401.fc9.x86_64.rpm and things were broken again.
> I was using the latest (-9) ati driver for both of those tests.

What version of mesa are you using?
Comment 11 Bruno Wolff III 2008-04-02 15:36:12 EDT
I have the following installed on the x86_64 box:
mesa-libGL-7.1-0.21.fc9.x86_64
mesa-libGL-devel-7.1-0.21.fc9.x86_64
mesa-libGLU-7.1-0.21.fc9.x86_64
mesa-libGL-7.1-0.21.fc9.i386
mesa-libOSMesa-7.1-0.21.fc9.x86_64
mesa-libGLU-7.1-0.21.fc9.i386
mesa-libGLU-devel-7.1-0.21.fc9.x86_64

On the x86 box (that works) I have the following installed:
mesa-libGLU-7.1-0.21.fc9.i386
mesa-libGLU-devel-7.1-0.21.fc9.i386
mesa-libOSMesa-7.1-0.21.fc9.i386
mesa-libGLw-6.5.1-5.fc9.i386
mesa-libGL-devel-7.1-0.21.fc9.i386
mesa-libGL-7.1-0.21.fc9.i386
mesa-libGLw-devel-6.5.1-5.fc9.i386

Comment 12 Kevin Kofler 2008-04-05 16:20:10 EDT
The backtrace in comment #6 is a different backtrace, which matches the one in 
bug 440491 (supposedly fixed in -17). So I think this can be closed.
Comment 13 Bruno Wolff III 2008-04-05 17:14:15 EDT
-17 seems to have fixed this and my x86_64 machine is working OK using that
version of the server.
Comment 14 Michal Schmidt 2008-04-05 18:41:39 EDT
-17 fixed the problem for me too.

Note You need to log in before you can comment on or make changes to this bug.